org.wildfly.swarm.config.management.access.syslog_handler.protocol

## Class ClientCertificateStoreAuthentication<T extends ClientCertificateStoreAuthentication<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.syslog_handler.protocol.ClientCertificateStoreAuthentication<T>

-     public class ClientCertificateStoreAuthentication<T extends ClientCertificateStoreAuthentication<T>>
      extends Object

  Configuration for the keystore containing the client certificate if the syslog server requires authentication.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientCertificateStoreAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `keyPassword()` The password for the keystore key.
    `T` | `keyPassword(String value)` The password for the keystore key.
    `Map` | `keyPasswordCredentialReference()` The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.
    `T` | `keyPasswordCredentialReference(Map value)` The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.
    `T` | `keyPasswordCredentialReference(String key, Object value)` The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.
    `String` | `keystorePassword()` The password for the keystore.
    `T` | `keystorePassword(String value)` The password for the keystore.
    `Map` | `keystorePasswordCredentialReference()` The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.
    `T` | `keystorePasswordCredentialReference(Map value)` The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.
    `T` | `keystorePasswordCredentialReference(String key, Object value)` The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.
    `String` | `keystorePath()` The path of the keystore.
    `T` | `keystorePath(String value)` The path of the keystore.
    `String` | `keystoreRelativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `keystoreRelativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientCertificateStoreAuthentication

          public ClientCertificateStoreAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### keyPassword

          public String keyPassword()

      The password for the keystore key.

    - #### keyPassword

          public T keyPassword(String value)

      The password for the keystore key.

    - #### keyPasswordCredentialReference

          public Map keyPasswordCredentialReference()

      The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.

    - #### keyPasswordCredentialReference

          public T keyPasswordCredentialReference(Map value)

      The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.

    - #### keyPasswordCredentialReference

          public T keyPasswordCredentialReference(String key,
                                                  Object value)

      The reference to credential for the keystore key stored in CredentialStore under defined alias or clear text password.

    - #### keystorePassword

          public String keystorePassword()

      The password for the keystore.

    - #### keystorePassword

          public T keystorePassword(String value)

      The password for the keystore.

    - #### keystorePasswordCredentialReference

          public Map keystorePasswordCredentialReference()

      The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.

    - #### keystorePasswordCredentialReference

          public T keystorePasswordCredentialReference(Map value)

      The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.

    - #### keystorePasswordCredentialReference

          public T keystorePasswordCredentialReference(String key,
                                                       Object value)

      The reference to credential for the keystore password stored in CredentialStore under defined alias or clear text password.

    - #### keystorePath

          public String keystorePath()

      The path of the keystore.

    - #### keystorePath

          public T keystorePath(String value)

      The path of the keystore.

    - #### keystoreRelativeTo

          public String keystoreRelativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'keystore-relative-to' is provided, the value of the 'keystore-path' attribute is treated as relative to the path specified by this attribute.

    - #### keystoreRelativeTo

          public T keystoreRelativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'keystore-relative-to' is provided, the value of the 'keystore-path' attribute is treated as relative to the path specified by this attribute.

Copyright © 2017 JBoss by Red Hat. All rights reserved.